#include <bits/stdc++.h>
using namespace std;
int main()
{
ios_base::sync_with_stdio(false) ;
	cin.tie(0);
	cout.tie(0);
	
	string s;
	cin>>s;
	string t;
	t=s;
	int n;
	n=s.size();
	int i=0,j=0;
    for(i=0;i<n;i++)
    {
	 if(t[i]=='b')
	 {
	 for(j=i+1;j<n;j++)
	 {
	  if(t[j]=='b')
	  { if(t[n-1/2]=='b'&&t[n-1/2+1]=='b')
	    cout<<1<<endl;
	    else if(n-j-1<j-i+1)
		cout<<n-j-1<<endl;
		     else   cout<<j-i+1<<endl;  	
	  	
	  }	
	 }
}
	}
}